// Copyright (C) 2012 MicroStrain, Inc.

/*************************
*	CCListBox
*	CCListBox is inherited from the CListBox object.  The purpose of this
*	is to override the DrawItem function for the console window allowing
*	different items in the console window to contain different colors.
*************************/

#pragma once


// CCListBox

class CCListBox : public CListBox
{
	DECLARE_DYNAMIC(CCListBox)

public:
	CCListBox();
	virtual ~CCListBox();

protected:
	DECLARE_MESSAGE_MAP()
public:
	/*************************
	*	DrawItem()
	*	DrawItem() is a virtual function to handle the drawing of each item in the
	*	console window.  It is used to add colors to each item in the console window.
	*************************/
	virtual void DrawItem(LPDRAWITEMSTRUCT /*lpDrawItemStruct*/);
};


